package com.lukouguoji.gjc.holder

import android.view.View
import com.lukouguoji.gjc.databinding.ItemGjcQueryWarehouseBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjcWarehouse

/**
 * 国际出港查询详情-仓库信息ViewHolder
 */
class GjcQueryWarehouseViewHolder(view: View) :
    BaseViewHolder<GjcWarehouse, ItemGjcQueryWarehouseBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item) ?: return
        binding.bean = bean
        binding.position = position  // 用于显示序号和背景切换
        binding.executePendingBindings()
    }
}
